## ros-galactic-launch-ros 0.14.5

=== debian/changelog ===
ros-galactic-launch-ros (0.14.5-1focal) focal; urgency=high

  * Fix "imported but not used" linters (#334 <https://github.com/ros2/launch_ros/issues/334>)
  * Contributors: Crola1702, Jorge Perez

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Dec 2022 08:00:00 -0000

ros-galactic-launch-ros (0.14.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-launch-ros (0.14.3-1focal) focal; urgency=high

  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>) (#301 <https://github.com/ros2/launch_ros/issues/301>)
  * Fix TypeError accessing name and value of SetParameter (#299 <https://github.com/ros2/launch_ros/issues/299>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>) (#290 <https://github.com/ros2/launch_ros/issues/290>)
  * Contributors: Jacob Perron, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-launch-ros (0.14.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.14.1-1focal) focal; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.14.0-1focal) focal; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.13.0-1focal) focal; urgency=high

  * Make sure ParameterFile __del__ works without exception. (#212 <https://github.com/ros2/launch_ros/issues/212>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-launch-ros (0.12.0-1focal) focal; urgency=high

  * Fix docblock in LoadComposableNodes (#207 <https://github.com/ros2/launch_ros/issues/207>)
  * Validate complex attributes of 'node' action (#198 <https://github.com/ros2/launch_ros/issues/198>)
  * Node.__init__() executable and ComposableNode.__init__() plugin arguments aren't optional (#197 <https://github.com/ros2/launch_ros/issues/197>)
  * Remove constructors arguments deprecated since Foxy (#190 <https://github.com/ros2/launch_ros/issues/190>)
  * Make name and namespace mandatory in ComposableNodeContainer, remove deprecated alternatives (#189 <https://github.com/ros2/launch_ros/issues/189>)
  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
    Update the package.xml files with the latest Open Robotics maintainers
  * Move previous maintainer to <author>
  * Update the package.xml files with the latest Open Robotics maintainers
  * Fix AttributeError when accessing component container name (#177 <https://github.com/ros2/launch_ros/issues/177>)
  * Handle any substitution types for SetParameter name argument (#182 <https://github.com/ros2/launch_ros/issues/182>)
  * Asynchronously wait for load node service response (#174 <https://github.com/ros2/launch_ros/issues/174>)
  * Fix case where list of composable nodes is zero (#173 <https://github.com/ros2/launch_ros/issues/173>)
  * Do not use event handler for loading composable nodes (#170 <https://github.com/ros2/launch_ros/issues/170>)
  * Fix race with launch context changes when loading composable nodes (#166 <https://github.com/ros2/launch_ros/issues/166>)
  * Substitutions in parameter files (#168 <https://github.com/ros2/launch_ros/issues/168>)
  * Fix documentation typo (#167 <https://github.com/ros2/launch_ros/issues/167>)
  * Fix problems when parsing a Command Substitution as a parameter value (#137 <https://github.com/ros2/launch_ros/issues/137>)
  * Add a way to set remapping rules for all nodes in the same scope (#163 <https://github.com/ros2/launch_ros/issues/163>)
  * Resolve libyaml warning when loading parameters from file (#161 <https://github.com/ros2/launch_ros/issues/161>)
  * Fix ComposableNode ignoring PushRosNamespace actions (#162 <https://github.com/ros2/launch_ros/issues/162>)
  * Add a SetParameter action that sets a parameter to all nodes in the same scope (#158 <https://github.com/ros2/launch_ros/issues/158>)
  * Make namespace parameter mandatory in LifecycleNode constructor (#157 <https://github.com/ros2/launch_ros/issues/157>)
  * Avoid using a wildcard to specify parameters if possible (#154 <https://github.com/ros2/launch_ros/issues/154>)
  * Fix no specified namespace (#153 <https://github.com/ros2/launch_ros/issues/153>)
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Dereck Wonnacott, Ivan Santiago Paunovic, Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-launch-ros (0.10.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-launch-ros (0.10.1-1focal) focal; urgency=high

  * Fix new flake8 errors (#148 <https://github.com/ros2/launch_ros/issues/148>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-launch-ros (0.10.0-1focal) focal; urgency=high

  * Avoid using sys.argv in rclpy.init (#144 <https://github.com/ros2/launch_ros/issues/144>)
  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Bump node_name warning stacklevel (#138 <https://github.com/ros2/launch_ros/issues/138>)

