=== debian/control ===
Source: ros-galactic-launch-ros
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-importlib-metadata, python3-pytest <!nocheck>, python3-yaml, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-index-python, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-composition-interfaces, ros-galactic-launch, ros-galactic-lifecycle-msgs, ros-galactic-osrf-pycommon, ros-galactic-rclpy, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-yaml, ros-galactic-ament-index-python, ros-galactic-composition-interfaces, ros-galactic-launch, ros-galactic-lifecycle-msgs, ros-galactic-osrf-pycommon, ros-galactic-rclpy, ros-galactic-ros-workspace
Description: ROS specific extensions to the launch tool.
